function logoplot(sol,xy,x,y)
%LOGOPLOT plots IFISS logo
%   logoplot(sol,xy,x,y,fig);
%   input
%          sol        nodal solution vector
%          xy         nodal coordinate vector  
%          x          vector of x-axis interpolation points
%          y          vector of y-axis interpolation points
%
%   IFISS function: AR; 26 January 2011.
% Copyright (c) 2011 D.J. Silvester, H.C. Elman, A. Ramage 
fprintf('plotting the logo ... ')
% interpolate to a cartesian product mesh
%figure
[X,Y]=meshgrid(x,y);
L = 40*griddata(xy(:,1),xy(:,2),sol,X,Y);
%fprintf('original ... ')
%surf(X,Y,L),axis('square')
%view(-70,22), axis('off')
shading interp
fprintf('and refined ... ')
%% following code taken from the Mathworks function logo ...
%logoFig = figure('Color','w');
 logoFig = figure('Color',[0 0 0]);
logoax = axes('CameraPosition', [-393.4013 -565.1546  260.4819],...
    'CameraTarget',[33 33 10], ...
    'CameraUpVector',[0 0 1], ...
    'CameraViewAngle',9.5, ...
    'DataAspectRatio', [1 1 0.5],...
    'Position',[0 0 1 1], ...
    'Visible','off', ...
    'parent',logoFig);
s=surface(L, ...
    'EdgeColor','none', ...
    'FaceColor', 'red', ... %[0.9 0.2 0.2] , ...
    'FaceLighting','phong', ...
    'AmbientStrength',0.3, ...
    'DiffuseStrength',0.6, ... 
    'Clipping','off',...
    'BackFaceLighting','lit', ...
    'SpecularStrength',1, ...
    'SpecularColorReflectance',1, ...
    'SpecularExponent',7, ...
    'Tag','IFISSLogo', ...
    'parent',logoax);
%   'FaceColor', [0.9 0.2 0.2] , ...
l1 = light('Position',[80 100 20], ...
    'Style','local', ...
    'Color','yellow', ...
    'parent',logoax);
%   'Color',[0 0.8 0.8], ...
l2 = light('Position',[.5 -1 .4], ...
    'Color','w', ...
    'parent',logoax);
%   'Color',[0.8 0.8 0], ...
view(-70,32),
fprintf('done\n')
fprintf('use export setup from File menu to save image to file.\n')
return

